%define lib_major 1
%define lib_name %mklibname ghttp %{lib_major}

# define to update aclocal.m4 with new libtool.m4
%define regenerate_configure 0
%ifarch x86_64 mips
%define regenerate_configure 1
%endif

Summary: GNOME http client library
Name: libghttp
Version: 1.0.9
Release: %mkrel 10
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libghttp/libghttp-%{version}.tar.bz2
# (fc) don't use locale dependent sprintf for printing HTTP version
Patch0: libghttp-1.0.9-fixlocale.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://www.gnome.org/

%description
Library for making HTTP 1.1 requests.

%package -n %{lib_name}
Summary: GNOME http client library
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libghttp.

%package -n %{lib_name}-devel
Summary: GNOME http client development
Group: Development/GNOME and GTK+
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries and includes files you can use for libghttp development

%prep
%setup -q
%patch0 -p1 -b .fixlocale
%if %{regenerate_configure}
aclocal && autoconf
%endif

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-, root, root)

%doc AUTHORS COPYING README doc/ghttp.html
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/ghttp.html
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_libdir}/*a
%{_includedir}/*




%changelog
* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.9-10mdv2008.1
+ Revision: 150568
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 07 2007 Emmanuel Andry <eandry@mandriva.org> 1.0.9-9mdv2007.0
+ Revision: 105287
- %%mkrel
- Import libghttp

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.9-8mdk
- Rebuild

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-7mdk
- Rebuild

